<?php

namespace Modules\Facture\Rules;

use Psr\Http\Message\ServerRequestInterface;

class ReglementFacture
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function reglement(): bool
    {
        return $this->main->invoicePayingAccess();
    }

    public function reglementFacture(): bool
    {
        return $this->main->invoicePayingAccess();
    }

    public function ajoutReglement(): bool
    {
        return $this->main->invoicePayingAccess();
    }

    public function modifierReglement(): bool
    {
        return $this->main->invoicePayingAccess();
    }

    public function supprimerReglement(): bool
    {
        return $this->main->invoicePayingAccess();
    }

    public function exportReglements(): bool
    {
        return $this->main->invoicePayingAccess();
    }
}
